Commit 8477c534 authored by Felix Paul Kühne's avatar Felix Paul Kühne

contrib: assume OS X 10.7 by default and raise compatibility level to 10.6

parent 6b521aaf
......@@ -143,7 +143,7 @@ add_make_enabled()
check_macosx_sdk()
{
[ -z "${OSX_VERSION}" ] && echo "OSX_VERSION not specified, assuming 10.6" && OSX_VERSION=10.6
[ -z "${OSX_VERSION}" ] && echo "OSX_VERSION not specified, assuming 10.7" && OSX_VERSION=10.7
if test -z "$SDKROOT"
then
SDKROOT=`xcode-select -print-path`/Platforms/MacOSX.platform/Developer/SDKs/MacOSX$OSX_VERSION.sdk
......
......@@ -105,7 +105,7 @@ CXX := $(HOST)-g++ --sysroot=$(ANDROID_NDK)/platforms/android-9/arch-$(PLATFORM_
endif
ifdef HAVE_MACOSX
MIN_OSX_VERSION=10.5
MIN_OSX_VERSION=10.6
CC=gcc-4.2
CXX=g++-4.2
AR=ar
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment